'''
created by: matt  2018-03-30

EMMIDD2.dbo.CY_FinacialIndicators_RP

列名	中文名	别名	类型	单位	默认值	是否可空	说明
SecuCode	证券代码		varchar(12)			FALSE	
SecuAbbr	证券名称		nvarchar(40)			TRUE	
EndDate	报告日期		datetime			FALSE	
TotalAssets	总资产		numeric(18,4)	元		TRUE	
AdvanceReceipts	预收款项		numeric(18,4)			TRUE	
EquityBelongedToPC	净资产		numeric(18,4)			TRUE	
PublDate	公告日期		datetime			TRUE	
TotalLiability	总负债		numeric(18,4)	元		TRUE	
TotalCurrentLiability	流动负债		numeric(18,4)	元		TRUE	
TotalCurrentAssets	流动资产		numeric(18,4)	元		TRUE	
CashOrDepositInCentralBank	现金及存放中央银行款项		numeric(18,4)	元		TRUE	
NetProfit	净利润		numeric(18,4)	元		TRUE	
NetOperateCashFlow	经营活动产生的现金流		numeric(18,4)	元		TRUE	


'''

class FinancialIndicator():
    def __init__(self):
        pass
    '''
    def __init__(self,SecuCode,SecuAbbr,TradeDate,ReportPeriod,PE1,PB,PS,ClosePrice,RMBShares,Bshares,ValidShares,MarketValue):
        self.SecuCode = SecuCode         	
        self.SecuAbbr = SecuAbbr
        self.EndDate = EndDate
        self.PublDate = PublDate
        self.TotalCurrentAssets = TotalCurrentAssets
        self.TotalAssets = TotalAssets
        self.AdvanceReceipts = AdvanceReceipts
        self.EquityBelongedToPC = EquityBelongedToPC
        self.CashOrDepositInCentralBank = CashOrDepositInCentralBank
        self.TotalLiability = TotalLiability
        self.TotalCurrentLiability = TotalCurrentLiability
        self.NetProfit = NetProfit
        self.NetOperateCashFlow = NetOperateCashFlow


    '''
    def printMe(self):
        print(self.SecuCode,self.SecuAbbr,self.EndDate)

       
                        